//********************************************************************************
//*
//*  C++ finite element method for heat equation
//*  James sandham
//*  15 April 2015
//*
//********************************************************************************

//********************************************************************************
//
// HeatFE is free software; you can redistribute it and/or modify it under the
// terms of the GNU Lesser General Public License (as published by the Free
// Software Foundation) version 2.1 dated February 1999.
//
//********************************************************************************

#ifndef DISPLAY_H
#define DISPLAY_H

// constant pointers needed for display
int *numOfPointsElements;
int *numOfElements;
int **connArray;
double *x_pts;
double *y_pts;
double *z_pts;

void opengl_main(int argc, char** argv);
void render_mesh();
void render_solution();
void keyboard(unsigned char key, int x, int y);
void keyboard_arrows(int key, int x, int y);
void mouse(int button, int state, int x, int y);

#endif
